#
# spec file for package nano (Version 2.2.6)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define nano_extraver %{nil}

Name:           nano
Version:        2.2.6
Release:        1
License:        GPLv3+
Summary:        Pico Editor Clone with Enhancements
Url:            http://www.nano-editor.org/
Group:          Productivity/Editors/Other
# http://www.nano-editor.org/dist/v2.2/%{name}-%{version}%{nano_extraver}.tar.gz
Source:         %{name}-%{version}%{nano_extraver}.tar.bz2
# Don't show build date in version information
Patch0:         nano-no-build-date.patch
BuildRequires:  ncurses-devel
Requires(post): %install_info_prereq
Requires(postun): %install_info_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNU nano is a small and friendly text editor. It aims to emulate the
Pico text editor while also offering a few enhancements.




Authors:
--------
    Chris Allegretta <chrisa@asty.org>
    David Lawrence Ramsey <pooka_regent@sluggy.net>
    Jordi Mallach <jordi@sindominio.net>
    Adam Rogoyski <rogoyski@cs.utexas.edu>
    Robert Siemborski <rjs3@andrew.cmu.edu>
    Rocco Corsi <rocco.corsi@sympatico.ca>
    David Benbennick <dbenbenn@math.cornell.edu>

%lang_package
%prep
%setup -q -n "%{name}-%{version}%{nano_extraver}"
%patch0

%build
%configure --disable-rpath --enable-utf8
%__make %{?_smp_mflags}

%install
%__make install DESTDIR="%{buildroot}"
%find_lang %{name} --with-man --all-name

%check
%__make check

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info%{ext_info}

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info%{ext_info}

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README THANKS TODO UPGRADE
%doc doc/faq.html doc/nanorc.sample
%dir %{_mandir}/fr
%{_bindir}/nano
%{_bindir}/rnano
%{_datadir}/nano
%doc %{_infodir}/nano.info%{ext_info}
%doc %{_mandir}/man1/nano.1%{ext_man}
%doc %{_mandir}/man1/rnano.1%{ext_man}
%doc %{_mandir}/man5/nanorc.5%{ext_man}

%files lang -f %{name}.lang

%changelog
